- Qt 5.5
- Qt3D Module
- C++ Classes
- QRay3D
- Qt 5.5.1 Reference Documentation

# QRay3D Class

(Qt3D::QRay3D)

- List of all members, including inherited members

## Public Functions

| QRay3D()
| QRay3D(const QVector3D & origin, const QVector3D & direction = QVector3D( 0.0f, 0.0f, 1.0f ))
| ~QRay3D()
bool | contains(const QVector3D & point) const
bool | contains(const QRay3D & ray) const
QVector3D | direction() const
float | distance(const QVector3D & point) const
QVector3D | origin() const
QVector3D | point(float t) const
QVector3D | project(const QVector3D & vector) const
float | projectedDistance(const QVector3D & point) const
void | setDirection(const QVector3D & value)
void | setOrigin(const QVector3D & value)
QRay3D & | transform(const QMatrix4x4 & matrix)
QRay3D | transformed(const QMatrix4x4 & matrix) const
bool | operator!=(const QRay3D & other) const
bool | operator==(const QRay3D & other) const

## Member Function Documentation

### QRay3D::QRay3D()

### QRay3D::QRay3D(const QVector3D & origin, const QVector3D & direction = QVector3D( 0.0f, 0.0f, 1.0f ))

### QRay3D::~QRay3D()

### bool QRay3D::contains(const QVector3D & point) const

### bool QRay3D::contains(const QRay3D & ray) const

### QVector3D QRay3D::direction() const

See also setDirection().

### float QRay3D::distance(const QVector3D & point) const

### QVector3D QRay3D::origin() const

See also setOrigin().

### QVector3D QRay3D::point(float t) const

### QVector3D QRay3D::project(const QVector3D & vector) const

### float QRay3D::projectedDistance(const QVector3D & point) const

### void QRay3D::setDirection(const QVector3D & value)

See also direction().

### void QRay3D::setOrigin(const QVector3D & value)

See also origin().

### QRay3D & QRay3D::transform(const QMatrix4x4 & matrix)

### QRay3D QRay3D::transformed(const QMatrix4x4 & matrix) const

### bool QRay3D::operator!=(const QRay3D & other) const

### bool QRay3D::operator==(const QRay3D & other) const